<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Tue May 05 14:03:46 EEST 2020 -->
<title>Restaurant</title>
<meta name="date" content="2020-05-05">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Restaurant";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../bll/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Restaurant.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?bll/Restaurant.html" target="_top">Frames</a></li>
<li><a href="Restaurant.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">bll</div>
<h2 title="Class Restaurant" class="title">Class Restaurant</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.util.Observable</li>
<li>
<ul class="inheritance">
<li>bll.Restaurant</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>bll.IRestaurantProcessing, java.io.Serializable</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">Restaurant</span>
extends java.util.Observable
implements bll.IRestaurantProcessing, java.io.Serializable</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../serialized-form.html#bll.Restaurant">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../bll/Restaurant.html#billNb">billNb</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) java.util.Map&lt;bll.Order,java.util.ArrayList&lt;bll.MenuItem&gt;&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../bll/Restaurant.html#orders">orders</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) java.util.ArrayList&lt;bll.MenuItem&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../bll/Restaurant.html#restaurantMenu">restaurantMenu</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../bll/Restaurant.html#serialVersionUID">serialVersionUID</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../bll/Restaurant.html#Restaurant--">Restaurant</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../bll/Restaurant.html#computeOrderPrice-int-float-">computeOrderPrice</a></span>(int&nbsp;id,
                 float&nbsp;price)</code>
<div class="block">computes the price for an order</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../bll/Restaurant.html#createBaseMenuItem-java.lang.String-float-">createBaseMenuItem</a></span>(java.lang.String&nbsp;name,
                  float&nbsp;price)</code>
<div class="block">creates a new composite MenuItem</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>bll.MenuItem</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../bll/Restaurant.html#createCompositeMenuItem-java.lang.String-float-java.util.ArrayList-">createCompositeMenuItem</a></span>(java.lang.String&nbsp;name,
                       float&nbsp;price,
                       java.util.ArrayList&lt;java.lang.String&gt;&nbsp;items)</code>
<div class="block">creates a new composite MenuItem</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../bll/Restaurant.html#createNewOrder-int-int-java.lang.String-java.util.ArrayList-">createNewOrder</a></span>(int&nbsp;id,
              int&nbsp;table,
              java.lang.String&nbsp;date,
              java.util.ArrayList&lt;java.lang.String&gt;&nbsp;items)</code>
<div class="block">creates a new order</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../bll/Restaurant.html#deleteMenuItem-java.lang.String-java.util.ArrayList-">deleteMenuItem</a></span>(java.lang.String&nbsp;name,
              java.util.ArrayList&lt;java.lang.String&gt;&nbsp;itemsToRemove)</code>
<div class="block">delete a MenuItem</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../bll/Restaurant.html#editItems-java.lang.String-java.lang.String-java.lang.String-float-java.util.ArrayList-">editItems</a></span>(java.lang.String&nbsp;name,
         java.lang.String&nbsp;baseName,
         java.lang.String&nbsp;compositeName,
         float&nbsp;price,
         java.util.ArrayList&lt;java.lang.String&gt;&nbsp;components)</code>
<div class="block">edit an existing item</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../bll/Restaurant.html#existsInList-java.lang.String-java.util.ArrayList-">existsInList</a></span>(java.lang.String&nbsp;name,
            java.util.ArrayList&lt;java.lang.String&gt;&nbsp;items)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../bll/Restaurant.html#generateBill-java.lang.String-java.lang.String-float-">generateBill</a></span>(java.lang.String&nbsp;id,
            java.lang.String&nbsp;date,
            float&nbsp;price)</code>
<div class="block">generates a .txt file representing the bill for an order</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../bll/Restaurant.html#getComponents-java.lang.String-">getComponents</a></span>(java.lang.String&nbsp;name)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../bll/Restaurant.html#getItemsToRemove-java.lang.String-">getItemsToRemove</a></span>(java.lang.String&nbsp;name)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>private bll.MenuItem</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../bll/Restaurant.html#getMenuItem-java.lang.String-">getMenuItem</a></span>(java.lang.String&nbsp;name)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../bll/Restaurant.html#getOrderItems-int-">getOrderItems</a></span>(int&nbsp;id)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;bll.Order&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../bll/Restaurant.html#getOrders--">getOrders</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../bll/Restaurant.html#getPriceOfItem-java.lang.String-">getPriceOfItem</a></span>(java.lang.String&nbsp;name)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;bll.MenuItem&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../bll/Restaurant.html#getRestaurantMenu--">getRestaurantMenu</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../bll/Restaurant.html#isWellFormed--">isWellFormed</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.util.Observable">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.util.Observable</h3>
<code>addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="serialVersionUID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>serialVersionUID</h4>
<pre>private static final&nbsp;long serialVersionUID</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#bll.Restaurant.serialVersionUID">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="restaurantMenu">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>restaurantMenu</h4>
<pre>java.util.ArrayList&lt;bll.MenuItem&gt; restaurantMenu</pre>
</li>
</ul>
<a name="orders">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>orders</h4>
<pre>java.util.Map&lt;bll.Order,java.util.ArrayList&lt;bll.MenuItem&gt;&gt; orders</pre>
</li>
</ul>
<a name="billNb">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>billNb</h4>
<pre>private&nbsp;int billNb</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Restaurant--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Restaurant</h4>
<pre>public&nbsp;Restaurant()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createBaseMenuItem-java.lang.String-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createBaseMenuItem</h4>
<pre>public&nbsp;int&nbsp;createBaseMenuItem(java.lang.String&nbsp;name,
                              float&nbsp;price)</pre>
<div class="block">creates a new composite MenuItem</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>createBaseMenuItem</code>&nbsp;in interface&nbsp;<code>bll.IRestaurantProcessing</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - of item</dd>
<dd><code>price</code> - of item</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>1 if succsessfull, 0 otherwise</dd>
</dl>
</li>
</ul>
<a name="createCompositeMenuItem-java.lang.String-float-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createCompositeMenuItem</h4>
<pre>public&nbsp;bll.MenuItem&nbsp;createCompositeMenuItem(java.lang.String&nbsp;name,
                                            float&nbsp;price,
                                            java.util.ArrayList&lt;java.lang.String&gt;&nbsp;items)</pre>
<div class="block">creates a new composite MenuItem</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>createCompositeMenuItem</code>&nbsp;in interface&nbsp;<code>bll.IRestaurantProcessing</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - of item</dd>
<dd><code>price</code> - of item</dd>
<dd><code>components</code> - of item</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>inserted object</dd>
</dl>
</li>
</ul>
<a name="existsInList-java.lang.String-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>existsInList</h4>
<pre>private&nbsp;boolean&nbsp;existsInList(java.lang.String&nbsp;name,
                             java.util.ArrayList&lt;java.lang.String&gt;&nbsp;items)</pre>
</li>
</ul>
<a name="deleteMenuItem-java.lang.String-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteMenuItem</h4>
<pre>public&nbsp;void&nbsp;deleteMenuItem(java.lang.String&nbsp;name,
                           java.util.ArrayList&lt;java.lang.String&gt;&nbsp;itemsToRemove)</pre>
<div class="block">delete a MenuItem</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>deleteMenuItem</code>&nbsp;in interface&nbsp;<code>bll.IRestaurantProcessing</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - of the item</dd>
<dd><code>all</code> - the items that contain the item to delete</dd>
</dl>
</li>
</ul>
<a name="getComponents-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComponents</h4>
<pre>public&nbsp;java.util.ArrayList&lt;java.lang.String&gt;&nbsp;getComponents(java.lang.String&nbsp;name)</pre>
</li>
</ul>
<a name="getItemsToRemove-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getItemsToRemove</h4>
<pre>public&nbsp;java.util.ArrayList&lt;java.lang.String&gt;&nbsp;getItemsToRemove(java.lang.String&nbsp;name)</pre>
</li>
</ul>
<a name="editItems-java.lang.String-java.lang.String-java.lang.String-float-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>editItems</h4>
<pre>public&nbsp;int&nbsp;editItems(java.lang.String&nbsp;name,
                     java.lang.String&nbsp;baseName,
                     java.lang.String&nbsp;compositeName,
                     float&nbsp;price,
                     java.util.ArrayList&lt;java.lang.String&gt;&nbsp;components)</pre>
<div class="block">edit an existing item</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>editItems</code>&nbsp;in interface&nbsp;<code>bll.IRestaurantProcessing</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - of the item to be edited</dd>
<dd><code>new</code> - name if base</dd>
<dd><code>new</code> - name if composite</dd>
<dd><code>new</code> - price of the item</dd>
<dd><code>new</code> - list of components of the item</dd>
</dl>
</li>
</ul>
<a name="getMenuItem-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMenuItem</h4>
<pre>private&nbsp;bll.MenuItem&nbsp;getMenuItem(java.lang.String&nbsp;name)</pre>
</li>
</ul>
<a name="getPriceOfItem-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPriceOfItem</h4>
<pre>public&nbsp;float&nbsp;getPriceOfItem(java.lang.String&nbsp;name)</pre>
</li>
</ul>
<a name="createNewOrder-int-int-java.lang.String-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createNewOrder</h4>
<pre>public&nbsp;void&nbsp;createNewOrder(int&nbsp;id,
                           int&nbsp;table,
                           java.lang.String&nbsp;date,
                           java.util.ArrayList&lt;java.lang.String&gt;&nbsp;items)</pre>
<div class="block">creates a new order</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>createNewOrder</code>&nbsp;in interface&nbsp;<code>bll.IRestaurantProcessing</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - of the order</dd>
<dd><code>number</code> - of the table</dd>
<dd><code>order</code> - date</dd>
<dd><code>order</code> - items</dd>
</dl>
</li>
</ul>
<a name="computeOrderPrice-int-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>computeOrderPrice</h4>
<pre>public&nbsp;float&nbsp;computeOrderPrice(int&nbsp;id,
                               float&nbsp;price)</pre>
<div class="block">computes the price for an order</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>computeOrderPrice</code>&nbsp;in interface&nbsp;<code>bll.IRestaurantProcessing</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - of the selected order</dd>
<dd><code>the</code> - price of the item when the method is called in the waiterView frame</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the price of the order</dd>
</dl>
</li>
</ul>
<a name="getOrderItems-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrderItems</h4>
<pre>public&nbsp;java.util.ArrayList&lt;java.lang.String&gt;&nbsp;getOrderItems(int&nbsp;id)</pre>
</li>
</ul>
<a name="generateBill-java.lang.String-java.lang.String-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generateBill</h4>
<pre>public&nbsp;void&nbsp;generateBill(java.lang.String&nbsp;id,
                         java.lang.String&nbsp;date,
                         float&nbsp;price)</pre>
<div class="block">generates a .txt file representing the bill for an order</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>generateBill</code>&nbsp;in interface&nbsp;<code>bll.IRestaurantProcessing</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - of the selected order</dd>
<dd><code>date</code> - of the selected order</dd>
<dd><code>the</code> - total price of the selected order</dd>
</dl>
</li>
</ul>
<a name="getRestaurantMenu--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRestaurantMenu</h4>
<pre>public&nbsp;java.util.ArrayList&lt;bll.MenuItem&gt;&nbsp;getRestaurantMenu()</pre>
</li>
</ul>
<a name="getOrders--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrders</h4>
<pre>public&nbsp;java.util.ArrayList&lt;bll.Order&gt;&nbsp;getOrders()</pre>
</li>
</ul>
<a name="isWellFormed--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isWellFormed</h4>
<pre>protected&nbsp;boolean&nbsp;isWellFormed()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../bll/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Restaurant.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?bll/Restaurant.html" target="_top">Frames</a></li>
<li><a href="Restaurant.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
